<?
//$fechaparatrabajar=date("Y-m-d");
$segpaga=0;
$fechaparatrabajar;
	list($anio1,$mes1,$dia1)=explode("-",$fechaparatrabajar);
			$deuda="";
			$deudaMoneda="";
			$deudaPeriodo="";
			$deudaConcepto="";
			$deudaStatus=0;
			$auxiliardia=0;
			$cuentaseg=0;
			$cuentasegpas=0;
			$seguimiento=array();
require("../conectar.php");
require("funciones.php");
function insertafila($restodias,$tipi,$fecha,$pagtotal,$nochalcondesc,$moneda,$mascota,$mascotacuota,$pext,$personacuota,$garage,$estacionamientocuota,$camaextra,$camacuota,$cuna,$cunacuota,$aumenta,$per,$limpiezas=0,$limpieza=0,$blancos=0,$blanco=0)
		{

		for($x=1;$x<=$restodias;$x++){
		
	  $y++;
	  $rdias=$restodias/$restodias;
	  ?>
	  <?
		if($pagtotal>=$nochalcondesc){$GLOBALS["deudaStatus"]=1;$pagado=$nochalcondesc; $diferencia=0;$imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>";  }
		elseif($pagtotal>0.5){$GLOBALS["deudaStatus"]=0;$pagado=$pagtotal;$diferencia=$nochalcondesc-$pagtotal;$imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>"; 
					if($diferencia<20){$GLOBALS["deudaStatus"]=1;$imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>"; }
							}
		else{$GLOBALS["deudaStatus"]=0; $pagado=0;$diferencia=$nochalcondesc; $imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>"; }
		$pagtotal=$pagtotal-$nochalcondesc;
		
		 fechacorta($fecha)."/";
		$fei=$fecha;
		for($d=1;$d<=$rdias;$d++)
	{
		$nuevafecha = strtotime ( '+'.$aumenta.$per, strtotime ( $fecha ) ) ;
		 $fecha = date ( 'Y-m-d' , $nuevafecha );
		 $fef=$fecha;
	}
	
	// if($GLOBALS["deudaStatus"]!=1){}			
			$GLOBALS["deuda"]=$GLOBALS["deuda"]+$diferencia;
			$GLOBALS["pagado"]=$pagado;
			
			$GLOBALS["deudaConcepto"]="Renta";
			$GLOBALS["deudaMoneda"]=$moneda;
			$GLOBALS["deudaPeriodo"]=fechacorta($fei)."/".fechacorta($fef);
			
			if($limpieza<0&&$x<=$limpiezas){ $mos=extra($limpieza,$fei,$fef,"1 $tipi ","Limpieza",$y,$moneda,$pagtotal);  echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$limpieza;}
			if($blanco<0&&$x<=$blancos){ $mos=extra($blanco,$fei,$fef,"1 $tipi ","Blanco",$y,$moneda,$pagtotal);  echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$blanco;}
			
			if($mascota<>"0.00"){ $mos=extra($mascotacuota,$fei,$fef,"1 $tipi ","Mascota",$y,$moneda,$pagtotal);  echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$mascotacuota;}
			if($pext<>"0.00"){ $mos=extra($personacuota,$fei,$fef,"1 $tipi ","Persona extra",$y,$moneda,$pagtotal); echo$mos[0];$y=$mos[1]; $pagtotal=$pagtotal-$personacuota;}
			if($garage<>"0.00"){$mos=extra($estacionamientocuota,$fei,$fef,"1 $tipi ","Estacionamiento",$y,$moneda,$pagtotal); echo$mos[0];$y=$mos[1];$pagtotal=$pagtotal-$estacionamientocuota;}
			if($camaextra<>"0.00"){	$mos=extra($camacuota,$fei,$fef,"1 $tipi ","Cama Extra",$y,$moneda,$pagtotal);echo$mos[0];$y=$mos[1]; $pagtotal=$pagtotal-$camacuota;}
			if($cuna<>"0.00"){ $mos=extra($cunacuota,$fei,$fef,"1 $tipi ","Cuna",$y,$moneda,$pagtotal); echo$mos[0];$y=$mos[1]; $pagtotal=$pagtotal-$cunacuota;}
			$tipo="1 ".$tipi;
			//$tipo=$fei;
			$GLOBALS["auxiliardia"]=0;
			if($GLOBALS["deudaStatus"]!=1){
			list($anio,$mes,$dia)=explode("-",$fei);
				//echo$mes."= ".$GLOBALS["mes1"]." ".$anio."= ".$GLOBALS["anio1"]."<br>";
				if($mes==$GLOBALS["mes1"]&&$anio==$GLOBALS["anio1"])	
					{ 
						$GLOBALS["auxiliarseguimiento"]=deudores($GLOBALS["cliente"],$tipo,$fei);
						$_POST["$dia"]=$_POST["$dia"].$GLOBALS["auxiliarseguimiento"];
						$GLOBALS["auxiliardia"]=$dia;
					}
		}
		}
		return $pagtotal;
		}

function  extra ($costo,$fei,$fef,$periodo,$tipo,$y,$moneda,$pagtotal){
		if($pagtotal>=$costo){$GLOBALS["deudaStatus"]=1;$pagado=$costo; $diferencia=0; $imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>";  }
		elseif($pagtotal>0.5){$GLOBALS["deudaStatus"]=0;$pagado=$pagtotal;$diferencia=$costo-$pagtotal; $imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>"; 
							if($diferencia<0.5){$GLOBALS["deudaStatus"]=1; $imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>"; }
							}
		else{$GLOBALS["deudaStatus"]=0; $pagado=0;$diferencia=$costo; $imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>";}
  $y++;
  $mostrar=array();
		$feii=fechacorta($fei);
		$feff=fechacorta($fef);
		$fs=$GLOBALS['fs'];
		$mostrar[0]="";
			  $mostrar[1]=$y;
			  if($GLOBALS["deudaStatus"]!=1)
			{
			$GLOBALS["deuda"]=$GLOBALS["deuda"]+$diferencia;
			}
			  return $mostrar;
	  }
function fechacorta($f)
{
list($anio,$mes,$dia)=explode("-",$f);
if($mes=="01"){$mes="Ene";}
if($mes=="02"){$mes="Feb";}
if($mes=="03"){$mes="Mar";}
if($mes=="04"){$mes="Abr";}
if($mes=="05"){$mes="May";}
if($mes=="06"){$mes="Jun";}
if($mes=="07"){$mes="Jul";}
if($mes=="08"){$mes="Ago";}
if($mes=="09"){$mes="Sep";}
if($mes=="10"){$mes="Oct";}
if($mes=="11"){$mes="Nov";}
if($mes=="12"){$mes="Dic";}
$anio;
if(strlen($dia)<2){$dia="0".$dia;}
$f=$dia."-".$mes."-".$anio;
return($f);
}
function deudores($cliente,$tipi,$fei)
			{
			$deuda="<p><a target='_blank' href='pagos3.php?idcliente=".$GLOBALS["idcliente"]."&idrenta=".$GLOBALS["idrenta"]."&idconcepto=".$GLOBALS["idconcepto"]."'>Cliente:".$cliente."</a><br> Monto:".moneda($GLOBALS["deuda"]).$GLOBALS["deudaMoneda"]."<br>Concepto: ".$GLOBALS["deudaConcepto"]."<br>Periodo: ".$tipi."</p>";
			$GLOBALS["deuda"]="";   
			$GLOBALS["deudaMoneda"]="";
			$GLOBALS["periodo"]="";
			$GLOBALS["deudaConcepto"]="";
			$GLOBALS["deudaStatus"]="";
			list($anio,$mes,$dia)=explode("-",$fei);
			if($mes==$GLOBALS["mes1"]&&$anio==$GLOBALS["anio1"])
			{
				if(strtotime($fei)<strtotime(date("Y-m-d")))$GLOBALS["cuentasegpas"]++;
				else $GLOBALS["cuentaseg"]++;
			}
			return $deuda;
			}
			function pagadores($cliente,$tipi,$mon,$suit,$fei,$cli,$ren,$con)
			{
			list($anio,$mes,$dia)=explode("-",$fei);
			$GLOBALS["war"]=$dia;
			$deuda="<p><a target='_blank' href='cedulas.php?idcliente=".$cli."&idrenta=".$ren."&idconcepto=".$con."'>Cliente:".$cliente."</a><br> Monto:".moneda($tipi).$mon."<br>Suite: ".$suit;			
			$GLOBALS["segpaga"]++;
			return $deuda;
			}
$sql="SELECT c.id_concepto, c.id_renta, c.id_cliente  FROM conceptos as c where c.dia_salida>'$fechaparatrabajar' and c.status_renta IN ('ANTICIPO','PAGADO')";
$queryq=mysql_query($sql);
while($def=mysql_fetch_array($queryq))
{		$deuda=0;
		$idrenta=$def["id_renta"];
		$idconcepto=$def["id_concepto"];
		$idcliente=$def["id_cliente"];
		$idc=$def["id_concepto"];
		

				$sql="SELECT cl.id_cliente,cl.intacc1, cl.coco1, cl.aco1, cl.num1, cl.intacc2, cl.coco2, cl.aco2, cl.num2, concat(cl.nombre,' ',cl.a_pat) as cliente, cl.email, r.fecha as f_registro, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo 
		from clientes as cl 
		INNER JOIN renta as r ON r.id_cliente=cl.id_cliente 
		INNER JOIN empleados as e ON e.id_empleado=cl.id_emp 
		where r.id_renta='$idrenta'";

		$r=mysql_query($sql);
		$q=mysql_fetch_array($r);

		$exp="SELECT * from expedienteCliente as ex where ex.idcliente='$q[id_cliente]'";
		$expe=mysql_query($exp);
		$exp=mysql_fetch_array($expe);

		$dep="select co.no_anios, co.no_meses, co.no_sem, co.no_dias, com.inicial,com.id_complejo, dep.no_depto, com.nombre, co.id_departamento, dep.clave, co.dia_inicio, co.dia_salida, co.id_concepto from conceptos as co inner join complejo as com ON com.id_complejo=co.id_complejo inner join departamentos as dep ON dep.id_departamento=co.id_departamento inner join renta as r ON r.id_renta=co.id_renta  where co.id_renta='$idrenta' and co.id_concepto='$idconcepto'";
		$de=mysql_query($dep);

		$sql="SELECT r.id_cliente from  renta as r 
		INNER JOIN conceptos as c ON r.id_renta=c.id_renta and (c.status_renta<>'LIBRE' or c.status_renta<>'')
		where r.id_cliente='$q[id_cliente]' group by c.id_renta";
		$visita=mysql_query($sql);
		$visitas=mysql_num_rows($visita);
		$cliente=$q["cliente"];
 
		$deps=mysql_fetch_array($de); 
		$periodo="";
		$anios=$deps["no_anios"];  if($anios>0){$periodo=" $anios años ";}
		$meses=$deps["no_meses"]; if($meses>0){$periodo.=" $meses meses ";}
		$semred=$deps["no_sem"];   if($semred>0){$periodo.=" $semred semanas ";}
		$restodias=$deps["no_dias"] ;if($restodias>0){$periodo.=" $restodias dias ";}
		
			$sql="SELECT c.costo_blanc, c.costo_limp,c.meses_blanc, c.meses_limp, c.frecuencia_limp, c.periodo_limp, c.id_concepto as idc,c.dia_inicio as fe,c.tipomoneda as tipomoneda,c.dia_salida as fs,c.no_anios,c.no_meses,c.no_sem,c.no_dias,				 c.montoanio,				 c.montomes,				 c.montosem,				 c.montonoche,				 cp.nombre as nombre,				 d.clave as clave,				 c.subtotal as subtotal,				 c.deposito as deposito,				 c.id_departamento as depto,				 c.id_complejo as propiedad,				 c.divisa as divisa,				 c.folio AS folio,				 c.tarifa,				 c.per_extra,				 c.garage,				 c.camaextra,				 c.cuna,				 c.mascota,				 c.descuento,				 c.total,				 c.impuesto,				 c.noPersonas		  FROM conceptos as c
				  INNER JOIN complejo as cp ON c.id_complejo=cp.id_complejo INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento
				  WHERE id_cliente='$idcliente' AND id_renta='$idrenta' and c.id_concepto='$idconcepto' and c.salida_prematura=c.dia_salida  order by fecha asc";
			$con=mysql_query($sql);
			$r=mysql_fetch_array($con);
			$fini=$r['fe'];
			$ffin=$r['fs'];
			$dolar=$r['divisa'];
			$moneda=$r['tipomoneda'];
			$subtotal=$r['subtotal'];
			
			$pext=$r['per_extra'];
			$garage=$r['garage'];
			$camaextra=$r['camaextra'];
			$cuna=$r['cuna'];
			$mascota=$r['mascota'];
			$impuesto=$r['impuesto'];
			$nopersonas=$r['noPersonas'];
			$blancost=$r['costo_blanc'];
			$limpcost=$r['costo_limp'];
			$descuento=$r['descuento'];
			 if($moneda=="MXN")
			 {
					 if($limpcost<>"0.00"){
					
						//precio limpieza

						$limpiezas=$r['meses_limp'];
						$limpieza=$r['frecuencia_limp']*$r['periodo_limp']*15*$dolar;

						}
					if($blancost<>"0.00"){
					
						//precio blancos
						 $blancos=$r['meses_blanc'];
						 $blanco=50*$dolar;

					}
					 if($mascota<>"0.00"){
					
					//precio mascota

					 $masnoche=10*$dolar;//10
					 $massem=35*$dolar;//180
					 $masmes=100*$dolar;//250

					}
					if($pext<>"0.00"){
					//precios por persona
					 $pexnoch=5*$dolar*$nopersonas;
					 $pexsem=35*$dolar*$nopersonas;
					 $pexmes=120*$dolar*$nopersonas;
					}
					if($garage<>"0.00"){
					//precios estacionamiento
					 $estnoch=10*$dolar;
					 $estsem=60*$dolar;
					 $estmes=240*$dolar;
					}
					if($camaextra<>"0.00"){
					//precios cama extra
					 $camanoch=15*$dolar;
					 $camasem=75*$dolar;
					 $camames=130*$dolar;
					}
					if($cuna<>"0.00"){
					//precio cuna
					 $precuna=5*$dolar;
					 $pcm=30*$precuna;
					 $pcs=7*$precuna;
					 $pcn=$precuna;
					}
			}
			else
					{
						 if($limpcost<>"0.00"){
					
							//precio limpieza

							$limpiezas=$r['meses_limp'];
							$limpieza=$r['frecuencia_limp']*$r['periodo_limp']*15;

							}
						if($blancost<>"0.00"){
							
							//precio blancos
							 $blancos=$r['meses_blanc'];
							 $blanco=50;

							}
							
						if($mascota<>"0.00"){
						 //precio mascota
						 $masnoche=10;
						 $massem=35;
						 $masmes=100;
						}
						if($pext<>"0.00"){
						//precios por persona
						 $pexnoch=5*$nopersonas;
						 $pexsem=35*$nopersonas;
						 $pexmes=120*$nopersonas;
						}
						if($garage<>"0.00"){
						//precios estacionamiento
						 $estnoch=10;
						 $estsem=60;
						 $estmes=240;
						}
						if($camaextra<>"0.00"){
						//precios cama extra
						 $camanoch=15;
						 $camasem=75;
						 $camames=130;
						}
						if($cuna<>"0.00"){
						//precio cuna
						 $precuna=5;
						 $pcm=30*$precuna;
						 $pcs=7*$precuna;
						 $pcn=$precuna;
						}
					}
			if($impuesto>0)
			 {
					 if($limpcost<>"0.00"){
					
							//precio limpieza		
							$limpieza=$limpieza*1.16;

							}
						if($blancost<>"0.00"){
							
							//precio blancos
							 $blanco=$blanco*1.16;

							}
					 if($mascota<>"0.00"){
					 //precio mascota

					 $masnoche=$masnoche*1.16;
					 $massem=$massem*1.16;
					 $masmes=$masmes*1.16;

					}
					if($pext<>"0.00"){
					//precios por persona
					 $pexnoch=$pexnoch*1.16*$nopersonas;
					 $pexsem=$pexsem*1.16*$nopersonas;
					 $pexmes=$pexmes*1.16*$nopersonas;
					}
					if($garage<>"0.00"){
					//precios estacionamiento
					 $estnoch=$estnoch*1.16;
					 $estsem=$estsem*1.16;
					 $estmes=$estmes*1.16;
					}
					if($camaextra<>"0.00"){
					//precios cama extra
					 $camanoch=$camanoch*1.16;
					 $camasem=$camasem*1.16;
					 $camames=$camames*1.16;
					}
					if($cuna<>"0.00"){
					//precio cuna
					 $precuna=$precuna*1.16;
					 $pcm=$pcm*1.16;
					 $pcs=$pcs*1.16;
					 $pcn=$pcn*1.16;
					}
			}		

			if($descuento>0)
	 {
			 if($limpcost<>"0.00"){
					
				//precio limpieza		
				 $limpieza=$limpieza-(($descuento/100)*$limpieza);

				}
			if($blancost<>"0.00"){
				
				//precio blancos
				 $blanco=$blanco-(($descuento/100)*$blanco);

				}
			if($mascota<>"0.00"){
			 //precio mascota

			 $masnoche=$masnoche-(($descuento/100)*$masnoche);
			 $massem=$massem-(($descuento/100)*$massem);
			 $masmes=$masmes-(($descuento/100)*$masmes);

			}
			if($pext<>"0.00"){
			//precios por persona
			 $pexnoch=$pexnoch-(($descuento/100)*$pexnoch);
			 $pexsem=$pexsem-(($descuento/100)*$pexsem);
			 $pexmes=$pexmes-(($descuento/100)*$pexmes);
			}
			if($garage<>"0.00"){
			//precios estacionamiento
		
			  $estnoch=$estnoch-(($descuento/100)*$estnoch);
			 $estsem=$estsem-(($descuento/100)*$estsem);
			 $estmes=$estmes-(($descuento/100)*$estmes);
			}
			if($camaextra<>"0.00"){
			//precios cama extra
			 $camanoch=$camanoch-(($descuento/100)*$camanoch);
			 $camasem=$camasem-(($descuento/100)*$camasem);
			 $camames=$camames-(($descuento/100)*$camames);
			}
			if($cuna<>"0.00"){
			//precio cuna
			 $precuna=$precuna-(($descuento/100)*$precuna);
			 $pcm=$pcm-(($descuento/100)*$pcm);
			 $pcs=$pcs-(($descuento/100)*$pcs);
			 $pcn=$pcn-(($descuento/100)*$pcn);
			}
	}	

				$mtanio=$r['montoanio'];
				$mtmes=$r['montomes'];
				$mtsem=$r['montosem'];
				$mtnoche=$r['montonoche'];
		/////////EMPIEZA EL CALCULO de HOSPEDAJE /////////////////


		 if($anios>0){$mensual=$mtanio; }
		 elseif($meses>0){$mensual=$mtmes; }
		 if($semred>0){$semanal=$mtsem; }
		 if($restodias>0){$nochal=$mtnoche;	}
		 
		$subtotalcondesc=$subtotal-(($descuento/100)*$subtotal);
		$subtotal2condesc=$subtotal2-(($descuento/100)*$subtotal2);
		$subtotal3condesc=$subtotal3-(($descuento/100)*$subtotal3);

		$mensualcondesc=$mensual-(($r["descuento"]/100)*$mensual);
		$semanalcondesc=$semanal-(($r["descuento"]/100)*$semanal);
		$nochalcondesc=$nochal-(($r["descuento"]/100)*$nochal);

		if($moneda=="MXN")
		{
		//$subtotalcondesc=$subtotalcondesc*$dolar;
		$subtotal2condesc=$subtotal2condesc*$dolar;
		$subtotal3condesc=$subtotal3condesc*$dolar;

		$mensualcondesc=$mensualcondesc*$dolar;
		$semanalcondesc=$semanalcondesc*$dolar;
		$nochalcondesc=$nochalcondesc*$dolar;

		}
		if($impuesto>0)
		{
		$imp=1.16;
		$subtotalcondesc=$subtotalcondesc*$imp;
		$subtotal2condesc=$subtotal2condesc*$imp;
		$subtotal3condesc=$subtotal3condesc*$imp;

		$mensualcondesc=$mensualcondesc*$imp;
		$semanalcondesc=$semanalcondesc*$imp;
		$nochalcondesc=$nochalcondesc*$imp;

		}
		$qwwq=($nochalcondesc+$semanalcondesc+($mensualcondesc*($meses+$anios*12)));
		$resta=$subtotalcondesc-$qwwq;
		//if($resta<1)
		{
		if($restodias>0)$nochalcondesc=$nochalcondesc/$restodias;
		if($semred>0)$semanalcondesc=$semanalcondesc/$semred;
		}
		$anticipo=($pcm+$camames+$pexmes+$estmes+$masmes+$mensualcondesc)/2;
		$anticipo=round($anticipo,2);
		/////////TERMINA EL CALCULO de HOSPEDAJE /////////////////
		$y=0;

		$sql="Select p.monto, p.divisa, p.tipo_moneda from pagos as p where p.id_concepto='$idconcepto' and concepto='DEPOSITO' ";
				$garant=mysql_query($sql);
				$pagdeposito=0;$garmoneda="";$gardivisa="";
				while($gar=mysql_fetch_array($garant))
				{
					$garmoneda=$gar["tipo_moneda"];
					$gardivisa=$gar["divisa"];
					$pagdeposito=$gar["monto"]+$pagdeposito;
					if($garmoneda=="USD")$pagdeposito=$pagdeposito*$gardivisa;
				}
			if($moneda=="USD"){$pagdeposito=$pagdeposito/$dolar;}
			$diferenciagar=$r['deposito']-$pagdeposito;				
			$sql="select id_pago from pagos where id_concepto='$idconcepto' and concepto='SEGUIMIENTO'";
			$segido=mysql_query($sql);
			$exisseguim=mysql_num_rows($segido);
			if($exisseguim)$diferenciagar=0;
			if($diferenciagar<=1)
				{$imagen="<img title='pagado' width='15'  height='15' src='img/ok.png'>";$deudaStatus=1;} 
			  elseif($diferenciagar>0&&$pagdeposito>0)
				{$imagen="<img title='Anticipo' width='15'  height='15' src='img/atencion.png'>";$deudaStatus=0; }
			  else {$imagen="<img title='Por pagar' width='15'  height='15' src='img/oks.png'>";$deudaStatus=0;} 	  
			 
			 
			  if($deudaStatus!=1)
			{
			$deuda=$deuda+$diferenciagar;
			$deudaConcepto="GARANTIA";
			$deudaMoneda=$moneda;
			$deudaPeriodo=fechacorta($fini)."/".fechacorta($ffin);
			}
			if($deudaStatus!=1){
			list($anio,$mes,$dia)=explode("-",$fini);
				if($mes==$mes1&&$anio==$anio1)
					{
				//	$seguimiento["$dia"]=$seguimiento["$dia"].deudores($cliente,$periodo,$fini);
					//$_POST["$dia"]=$_POST["$dia"].deudores($cliente,$periodo,$fini);
					}
		//	$seguimiento["$fei"]=deudores($cliente,$periodo);
		}	
				$sql="Select p.monto as montodol, p.divisa from pagos as p where p.id_concepto='$idconcepto' and concepto<>'DEPOSITO' and p.tipo_moneda='USD'";
				$montodol=mysql_query($sql);
				$pagdol=0;$pagpes=0;$pagtotal="";
				while($montod=mysql_fetch_array($montodol))
				{
				$pagdol=$pagdol+($montod["montodol"]*$montod["divisa"]);
				}
				$sql="Select sum(p.monto) as montopes from pagos as p where p.id_concepto='$idconcepto' and concepto<>'DEPOSITO' and p.tipo_moneda='MXN'";
				$montopes=mysql_query($sql);
				while($montop=mysql_fetch_array($montopes))
				{ $pagpes=$montop["montopes"];}
				$pagtotal=$pagpes+$pagdol;
			if($moneda=="USD")$pagtotal=$pagtotal/$dolar;
				$pagtotal1=$pagtotal;
				
					
			  $fecha=$fini;
		if($anios>0){ $anios1=$anios*12;
			  
					$pagtotal=insertafila($anios1,$tipi="Mes",$fecha,$pagtotal,$mensualcondesc,$moneda,$mascota,$masmes,$pext,$pexmes,$garage,$estmes,$camaextra,$camames,$cuna,$pcm,$aumenta=1,$per="month",$limpiezas,$limpieza,$blancos,$blanco);
						if($auxiliardia!=0&&$deudaStatus!=1)
								{
								$seguimiento["$auxiliardia"]=$seguimiento["$auxiliardia"].$auxiliarseguimiento;
								}
					$nuevafecha = strtotime ( '+'.$anios1.'month', strtotime ( $fecha ) ) ;
					$fecha = date ( 'Y-m-d' , $nuevafecha );
				
					}
					
		if($meses>0){
					$pagtotal=insertafila($meses,$tipi="Mes",$fecha,$pagtotal,$mensualcondesc,$moneda,$mascota,$masmes,$pext,$pexmes,$garage,$estmes,$camaextra,$camames,$cuna,$pcm,$aumenta=1,$per="month",$limpiezas,$limpieza,$blancos,$blanco);					
					if($auxiliardia!=0&&$deudaStatus!=1)
								{
								
								$seguimiento["$auxiliardia"]=$seguimiento["$auxiliardia"].$auxiliarseguimiento;
								}
					$nuevafecha = strtotime ( '+'.$meses.'month', strtotime ( $fecha ) ) ;
					$fecha = date ( 'Y-m-d' , $nuevafecha );
			
				}
		if($semred>0){
				
				$pagtotal=insertafila($semred,$tipi="Semana",$fecha,$pagtotal,$semanalcondesc,$moneda,$mascota,$massem,$pext,$pexsem,$garage,$estsem,$camaextra,$camasem,$cuna,$pcs,$aumenta=7,$per="day");
							if($auxiliardia!=0&&$deudaStatus!=1)
								{
								$seguimiento["$auxiliardia"]=$seguimiento["$auxiliardia"].$auxiliarseguimiento;
								}
				$diassemana=$semred*7;
				$nuevafecha = strtotime ( '+'.$diassemana.'day', strtotime ( $fecha ) ) ;
					$fecha = date ( 'Y-m-d' , $nuevafecha );
				
			 }
		if($restodias>0){
						$pagtotal=insertafila($restodias,$tipi="noche",$fecha,$pagtotal,$nochalcondesc,$moneda,$mascota,$masnoche,$pext,$pexnoch,$garage,$estnoch,$camaextra,$camanoch,$cuna,$pcn,$aumenta=1,$per="day");
						if($auxiliardia!=0&&$deudaStatus!=1)
								{
								$seguimiento["$auxiliardia"]=$seguimiento["$auxiliardia"].$auxiliarseguimiento;
								}
						$nuevafecha = strtotime ( '+'.$restodias.'day', strtotime ( $fecha ) ) ;
						$fecha = date ( 'Y-m-d' , $nuevafecha ); 							
					}	
					
}
$mnc=$anio1."-".$mes1."-01";
$mes11=$mes1++;
	if($mes11<10)$mes11="0".$mes11;
	if($mes11>12)$mes11="01";$anio1++;
	$mc=$anio1."-".$mes11."-01";
	
	$sql="SELECT c.id_concepto, cl.id_cliente, c.id_renta,dep.clave,p.fecha,p.monto, p.tipo_moneda, concat(cl.nombre,' ',cl.a_pat) as cliente FROM pagos as p 
		INNER JOIN conceptos as c on p.id_concepto=c.id_concepto
		INNER JOIN clientes as cl on cl.id_cliente=c.id_cliente
		INNER JOIN departamentos as dep on dep.id_departamento=c.id_departamento
		WHERE p.concepto='SEGUIMIENTO' and p.fecha between '$mnc' and '$mc'";
	$segss=mysql_query($sql);
	while($segsss=mysql_fetch_array($segss))
	{
	list($anio,$mes,$diaw)=explode("-",$segsss["fecha"]);
	$_POST["s".$diaw].=pagadores($segsss["cliente"],$segsss["monto"],$segsss["tipo_moneda"],$segsss["clave"],$segsss["fecha"],$segsss["id_cliente"],$segsss["id_renta"],$segsss["id_concepto"]);
	}	
?>